package com.qmth.teachcloud.mark.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.enums.scan.ExceptionPaperType;
import com.qmth.teachcloud.mark.enums.OmrTaskStatus;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 卷型检查记录表
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-10-12
 */
@ApiModel(value="ScanPaperTypeCheck对象", description="卷型检查记录表")
public class ScanPaperTypeCheck {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "考试ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examId;

    @ApiModelProperty(value = "异常卷型类型")
    private ExceptionPaperType exceptionPaperType;

    @ApiModelProperty(value = "识别卷型")
    private String paperType;

    @ApiModelProperty(value = "考生ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long studentId;

    @ApiModelProperty(value = "试卷页数")
    private Integer paperIndex;

    @ApiModelProperty(value = "试卷ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long paperId;

    @ApiModelProperty(value = "题卡编号")
    private Integer cardNumber;

    @ApiModelProperty(value = "状态")
    private OmrTaskStatus status;

    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    @ApiModelProperty(value = "创建人")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long creatorId;

    @ApiModelProperty(value = "更新人")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long updaterId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public ExceptionPaperType getExceptionPaperType() {
        return exceptionPaperType;
    }

    public void setExceptionPaperType(ExceptionPaperType exceptionPaperType) {
        this.exceptionPaperType = exceptionPaperType;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Integer getPaperIndex() {
        return paperIndex;
    }

    public void setPaperIndex(Integer paperIndex) {
        this.paperIndex = paperIndex;
    }

    public Long getPaperId() {
        return paperId;
    }

    public void setPaperId(Long paperId) {
        this.paperId = paperId;
    }

    public Integer getCardNumber() {
        return cardNumber;
    }

    public void setCardNumber(Integer cardNumber) {
        this.cardNumber = cardNumber;
    }

    public OmrTaskStatus getStatus() {
        return status;
    }

    public void setStatus(OmrTaskStatus status) {
        this.status = status;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(Long creatorId) {
        this.creatorId = creatorId;
    }

    public Long getUpdaterId() {
        return updaterId;
    }

    public void setUpdaterId(Long updaterId) {
        this.updaterId = updaterId;
    }
}
