package com.qmth.teachcloud.mark.mapper;

import com.qmth.teachcloud.common.bean.dto.DataPermissionRule;
import com.qmth.teachcloud.mark.entity.ScanPaperTypeCheck;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.teachcloud.mark.enums.OmrTaskStatus;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 卷型检查记录表 Mapper 接口
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-10-12
 */
public interface ScanPaperTypeCheckMapper extends BaseMapper<ScanPaperTypeCheck> {

    /**
     * 卷型检查数量
     *
     * @param examId        考试id
     * @param courseId      课程id
     * @param coursePaperId 试卷id
     * @param status        处理状态
     * @param dpr           数据权限
     * @return 数量
     */
    int getPaperTypeCheckCount(@Param("examId") Long examId, @Param("courseId") Long courseId, @Param("coursePaperId") String coursePaperId, @Param("status") OmrTaskStatus status,
            @Param("dpr") DataPermissionRule dpr);
}
