package com.qmth.teachcloud.mark.service;

import com.qmth.teachcloud.common.bean.dto.DataPermissionRule;
import com.qmth.teachcloud.mark.entity.ScanPaperTypeCheck;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.mark.enums.OmrTaskStatus;

/**
 * <p>
 * 卷型检查记录表 服务类
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-10-12
 */
public interface ScanPaperTypeCheckService extends IService<ScanPaperTypeCheck> {

    /**
     * 卷型检查数量
     *
     * @param examId        考试id
     * @param courseId      课程id
     * @param coursePaperId 试卷id
     * @param status        处理状态
     * @param dpr           数据权限
     * @return 数量
     */
    int getPaperTypeCheckCount(Long examId, Long courseId, String coursePaperId, OmrTaskStatus status,
            DataPermissionRule dpr);
}
